Bug 336127 - Rename pattern textbox not tall enough and uses hard-coded font colors [patch]
Summary: Rename pattern textbox not tall enough and uses hard-coded font colors [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: AdvancedRename-engine (show other bugs)
Version: 4.6.0
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 12:35 UTC by DrSlony
Modified: 2022-01-31 22:03 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments
Rename pattern textbox. (17.90 KB, image/png)
2014-10-22 10:26 UTC, Paul
Details
Rename pattern textbox - Oxygen widgets (18.19 KB, image/png)
2014-10-22 11:48 UTC, Paul
Details
renameinput.patch (2.06 KB, patch)
2015-01-02 18:30 UTC, Maik Qualmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DrSlony 2014-06-12 12:35:00 UTC
The rename pattern textbox is not tall enough, so I don't see underscores:
http://i.imgur.com/9rvwTJ9.png
Can you guess with set of double-quotes has the underscore?

Also the colors are hard-coded, so it's hard to see that blue color.

Reproducible: Always
Comment 1 DrSlony 2014-08-06 22:38:30 UTC
This has not been touched in 4.2.0.
Comment 2 DrSlony 2014-10-22 09:29:54 UTC
Still present in 4.4.0
Comment 3 Paul 2014-10-22 10:26:51 UTC
Created attachment 89246 [details]
Rename pattern textbox.

Theme related?

Underscores visible here... using Version 4.4.0
Comment 4 DrSlony 2014-10-22 11:25:15 UTC
I tried the following and it made no difference:
- digiKam > Settings > Theme
- System Settings > Workspace Appearance > Window Decorations
- System Settings > Workspace Appearance > Desktop Theme
- System Settings > Application Appearance > Style > Widget style
- System Settings > Application Appearance > Style > Colors

Changing the font
- System Settings > Application Appearance > Style > Fonts > General
has an influence. When I use DejaVu Sans, Droid Sans or Ubuntu Sans then I don't see the underscores, when I use some other whacky font then I do. Either way, ALL other applications work fine using any of these fonts, so this issue must be resolved within this rename dialog, at least by adding bottom padding.
http://i.imgur.com/Ew8okvJ.png
Comment 5 caulier.gilles 2014-10-22 11:26:29 UTC
Paul, it's easy to verify. Go to digiKam/Configuration dialog into Misc Section, and change widget style.

Gilles Caulier
Comment 6 Paul 2014-10-22 11:48:54 UTC
Created attachment 89250 [details]
Rename pattern textbox - Oxygen widgets

Changing the widget style that digiKam uses to Oxygen (from qtcurve I normally use) results in the text box becoming too small vertically, as DrSlony reported.
Comment 7 DrSlony 2014-11-14 19:14:08 UTC
Still present in 4.5.0. Also a problem elsewhere, e.g. in the "customize filename" textbox in the BQM 
http://i.imgur.com/zgNJJzL.png
"[file] _ underscores here _ _ _"
Comment 8 DrSlony 2014-12-19 16:45:53 UTC
Still a problem in 4.6.0.
Comment 9 DrSlony 2014-12-19 16:58:05 UTC
I tried the following widget styles:
Oxygen, Phase, Windows, Motif, CDE, Plastique and Cleanlooks.
Cleanlooks is the only one where I could see the underscores.
Comment 10 Maik Qualmann 2015-01-02 18:30:17 UTC
Created attachment 90196 [details]
renameinput.patch

This patch fixes the incorrect size of the rename input and change the blue color in light blue.
I tested it with different fonts / sizes and different styles.
Comment 11 caulier.gilles 2015-01-03 10:13:35 UTC
Git commit 6d4982ebee343bd6f168cab5c4961fc1f57aebdc by Gilles Caulier.
Committed on 03/01/2015 at 10:11.
Pushed by cgilles into branch 'master'.

Apply patch #90196 from Maik Qualmann to fix advance rename pattern box GUI
FIXED-IN : 4.7.0

M  +2    -1    NEWS
M  +7    -3    utilities/advancedrename/advancedrenameinput.cpp
M  +1    -1    utilities/advancedrename/common/highlighter.cpp

http://commits.kde.org/digikam/6d4982ebee343bd6f168cab5c4961fc1f57aebdc
Comment 12 caulier.gilles 2015-01-03 10:19:58 UTC
Git commit 95b693303f45d5ca360b87fc775916fe635d3656 by Gilles Caulier.
Committed on 03/01/2015 at 10:19.
Pushed by cgilles into branch 'frameworks'.

backport commit # 6d4982ebee343bd6f168cab5c4961fc1f57aebdc from git/master to frameworks branch

M  +6    -3    utilities/advancedrename/advancedrenameinput.cpp
M  +1    -1    utilities/advancedrename/common/highlighter.cpp

http://commits.kde.org/digikam/95b693303f45d5ca360b87fc775916fe635d3656